Suppressions
List Suppressions
Retrieve a paginated list of suppressed email addresses.
GET
/
suppressions
curl "https://api.unosend.co/suppressions?page=1&per_page=10" \
-H "Authorization: Bearer un_your_api_key"
const response = await fetch('https://api.unosend.co/suppressions?page=1&per_page=10', {
headers: {
'Authorization': 'Bearer un_your_api_key'
}
});
const data = await response.json();
import requests
response = requests.get(
'https://api.unosend.co/suppressions',
params={'page': 1, 'per_page': 10},
headers={'Authorization': 'Bearer un_your_api_key'}
)
data = response.json()
{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "bounced@example.com",
"reason": "hard_bounce",
"source_email_id": "email_abc123",
"metadata": {
"bounce_type": "Permanent",
"bounce_subtype": "NoEmail"
},
"created_at": "2024-01-15T10:30:00.000Z"
}
],
"meta": {
"total": 42,
"page": 1,
"page_size": 10,
"pages": 5
}
}
Query Parameters
number
default:"1"
Page number
number
default:"50"
Number of results per page (max 100)
string
Filter by suppression reason:
hard_bounce- Invalid email addressesspam_complaint- Spam reportsmanual- Manually addedunsubscribe- Unsubscribed recipients
Response
boolean
Whether the request was successful
array
object
curl "https://api.unosend.co/suppressions?page=1&per_page=10" \
-H "Authorization: Bearer un_your_api_key"
const response = await fetch('https://api.unosend.co/suppressions?page=1&per_page=10', {
headers: {
'Authorization': 'Bearer un_your_api_key'
}
});
const data = await response.json();
import requests
response = requests.get(
'https://api.unosend.co/suppressions',
params={'page': 1, 'per_page': 10},
headers={'Authorization': 'Bearer un_your_api_key'}
)
data = response.json()
{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "bounced@example.com",
"reason": "hard_bounce",
"source_email_id": "email_abc123",
"metadata": {
"bounce_type": "Permanent",
"bounce_subtype": "NoEmail"
},
"created_at": "2024-01-15T10:30:00.000Z"
}
],
"meta": {
"total": 42,
"page": 1,
"page_size": 10,
"pages": 5
}
}
⌘I
curl "https://api.unosend.co/suppressions?page=1&per_page=10" \
-H "Authorization: Bearer un_your_api_key"
const response = await fetch('https://api.unosend.co/suppressions?page=1&per_page=10', {
headers: {
'Authorization': 'Bearer un_your_api_key'
}
});
const data = await response.json();
import requests
response = requests.get(
'https://api.unosend.co/suppressions',
params={'page': 1, 'per_page': 10},
headers={'Authorization': 'Bearer un_your_api_key'}
)
data = response.json()
{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "bounced@example.com",
"reason": "hard_bounce",
"source_email_id": "email_abc123",
"metadata": {
"bounce_type": "Permanent",
"bounce_subtype": "NoEmail"
},
"created_at": "2024-01-15T10:30:00.000Z"
}
],
"meta": {
"total": 42,
"page": 1,
"page_size": 10,
"pages": 5
}
}